# PSF-LoginServer - master - net.psforever.objects.geometry.AxisAlignment3D
PSF - LoginServer - master - net.psforever.objects.geometry.AxisAlignment3D
Keywords: PSF LoginServer master net.psforever.objects.geometry.AxisAlignment3D

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
-  package d3
  Definition Classes
    geometry
- AxisAlignment
- AxisAlignment2D
- AxisAlignment3D
- Geometry
- GeometryForm
- Line
- Point
- PrimitiveGeometry
- Segment
- Slope

c

net.psforever.objects.geometry

# AxisAlignment3D

###

#### sealed abstract class AxisAlignment3D extends AxisAlignment

For geometric entities that exist in a three-dimensional context. More ceremonial, than anything else.

Source
  AxisAlignment.scala

Linear Supertypes
AxisAlignment, EnumEntry, AnyRef, Any
Known Subclasses
Free

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AxisAlignment3D
2. AxisAlignment
3. EnumEntry
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def asVector3(a: Float, b: Float, c: Float): Vector3

   Project three values as a vector that can be represented in this coordinate axis.

   Project three values as a vector that can be represented in this coordinate axis.

   a

     the first value

   b

     the second value

   c

     the third value

   returns

     the projected vector

2.  abstract def asVector3(v: Vector3): Vector3

   Project one vector as a vector that can be represented in this coordinate axis.

   Project one vector as a vector that can be represented in this coordinate axis.

   v

     the original vector

   returns

     the projected vector

   Definition Classes
     AxisAlignment

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def entryName: String
   Definition Classes
     EnumEntry
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AxisAlignment

### Inherited from EnumEntry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped